Koozali.org formerly Contribs.org

Contrib update problem.

Contrib update problem.
« on: February 20, 2019, 08:32:41 PM »
I got a contrib update notice on several of the servers I look after. When I attempted to run the update, I got this error:

Code: [Select]
warning: rpmts_HdrFromFdno: Header V4 DSA/SHA1 Signature, key ID 2a6b914a: NOKEY
Public key for perl-IO-Socket-INET6-2.72-1.of.el6.noarch.rpm is not installed

I'm not sure which contrib includes perl-IO-Socket-INET, and a search for the procedure to clear the error hasn't helped. Any hints?

Paul.

Offline ReetP

  • *
  • 2,117
Re: Contrib update problem.
« Reply #1 on: February 20, 2019, 09:29:33 PM »
It's to do with geoip/mailstats and the openfusion repo.

I believe JPP had added the openfusion gpg key but not sure the update has rolled out.

These bugs refer I think:

https://bugs.contribs.org/show_bug.cgi?id=10741

https://bugs.contribs.org/show_bug.cgi?id=10746
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Re: Contrib update problem.
« Reply #2 on: February 20, 2019, 11:00:10 PM »
It's to do with geoip/mailstats and the openfusion repo.

I believe JPP had added the openfusion gpg key but not sure the update has rolled out.

These bugs refer I think:

https://bugs.contribs.org/show_bug.cgi?id=10741

https://bugs.contribs.org/show_bug.cgi?id=10746

Thanks for that. I'll give it a few days and see what happens.

Paul.

Offline Jean-Philippe Pialasse

  • *
  • 1,335
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Contrib update problem.
« Reply #3 on: February 20, 2019, 11:34:05 PM »
I will push this direct to smeupdate tonight to ease, but there is no way to avoid the need to first update smeserver-yum and the trigger signal-event yum-update and make this transparent.

There is other way, but they would involve either ask yum not to check gpg for the current transaction or manually import the gpg key. Which is not easier than update the smeserver-yum package first.